#if !defined(SAMPLE_H)
#define SAMPLE_H

extern "C" {
#include <sys/types.h>
}

class Sample
{
    bool m_isKernel;
    pid_t m_processID;
    unsigned m_address;

public:
    Sample( pid_t processID, unsigned address, bool isKernel ) :
    m_isKernel( isKernel ),
    m_processID( processID ),
    m_address( address )
    {
    }

    bool isKernel() const
    {
        return m_isKernel;
    }

    unsigned getProcessID() const
    {
        return m_processID;
    }

    unsigned getAddress() const
    {
        return m_address;
    }
};

#endif // #if !defined(SAMPLE_H)
